/* TaskTracker.css */

.task-tracker {
    max-width: 400px;
    margin: 0 auto;
    padding: 20px;
    border: 1px solid #ccc;
    border-radius: 8px;
    box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.1);
  }
  
  .task-list {
    list-style: none;
    padding: 0;
  }
  
  .task {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 10px;
    border: 1px solid #eee;
    border-radius: 4px;
    margin: 8px 0;
  }
  
  .task-content {
    flex-grow: 1;
  }
  
  .task-button {
    background-color: #8884d8;
    color: white;
    border: none;
    border-radius: 4px;
    padding: 5px 10px;
    cursor: pointer;
    transition: background-color 0.3s ease;
  }
  
  .task-button:hover {
    background-color: #6c63a0;
  }
  
  .complete-task {
    text-decoration: line-through;
    color: #aaa;
  }
  
  .add-task-form {
    display: flex;
    margin-top: 20px;
  }
  
  .add-task-input {
    flex-grow: 1;
    padding: 8px;
    border: 1px solid #ccc;
    border-radius: 4px;
    margin-right: 10px;
  }
  
  .add-task-button {
    background-color: #82ca9d;
    color: white;
    border: none;
    border-radius: 4px;
    padding: 5px 10px;
    cursor: pointer;
    transition: background-color 0.3s ease;
  }
  
  .add-task-button:hover {
    background-color: #6aaf89;
  }
  